gsasl_saslprep(3)

NAME
gsasl_saslprep - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_saslprep(const char * in, Gsasl_saslprep_flags flags, char ** out, int * stringpreprc);

ARGUMENTS

const char * in
    a UTF-8 encoded string.

Gsasl_saslprep_flags flags
    any SASLprep flag, e.g., GSASL_ALLOW_UNASSIGNED.

char ** out
    on exit, contains newly allocated output string.

int * stringpreprc
    if non-NULL, will hold precise stringprep return code.

DESCRIPTION
Prepare string using SASLprep. On success, the out variable must be deallocated by the caller.

RETURN VALUE
Returns GSASL_OK on success, or GSASL_SASLPREP_ERROR on error.

SINCE
0.2.3

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.